Forgot password?

Create an account!

Forum

« back

RhinoScript – circle around an array of points

Messages

Please log in to write a message.

  • 7. new1 (Feb 28, 2011 11.37):

    isnĀ“t it possible to use the command of rhino. addvcircle3pt

    but instead of selecting these points manually , they should be selected automatically .

  • 6. Johannes (Dec 10, 2010 08.33):

    hi,

    move the plane in a loop to the point(i) (rhino.moveplane(plane, origin)) and add a circle with the moved plane and a radius (rhino.addcircle(plane, radius)).

    Johannes

  • 5. new1 (Dec 10, 2010 00.42):

    hello

    i have a plane with an array of points and want to add on each point a circle. the point should then be the centerpoint. how can i do this without selecting each point seperately?

    thanks
    chris

  • 4. Hanno (Nov 09, 2010 09.29):

    Hi,

    you don't need to actually draw the plane. You need the geometric definition of a plane (which is what Johannes shows below).

    Hanno

  • 3. coebergh (Nov 08, 2010 21.47):

    Hi,

    Yes but I was trying to avoid the plane :) I have an array of points on a curve and i want to draw a circle around all of those points. theres no easier way without drawing planes and deleting them after?

    Regards

  • 2. Johannes (Nov 08, 2010 17.37):

    Hi,

    the function Rhino.AddCircle() needs a plane where the circle lies on.
    A plane is defined by three coordinates:
    1. The Origin of the plane
    2. First direction
    3. Second direction

    Dim arrPlane
    arrPlane = Rhino.WorldXYPlane()
    Call Rhino.AddCircle (arrPlane, 5.0)

    The center of your circle lies on the origin of the plane you use.

  • 1. coebergh (Nov 08, 2010 15.53):

    Hello,

    I'm fairly new to scripting. And started off with rhinoscript.

    My question was if i can draw circles around points with the addcircle function.

    So anything like:


    Rhino.AddCircle arrPts2, 5.0

    Where arrPts2 is an array of points I've created in dividing a curve in an x amount of parts. I thought using a loop to draw a circle around each point but i cant get it working.

    Regards

Recommend

Why are these buttons gray?